﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

using System.Drawing;

namespace howto_drop_caps
{
    public class Block
    {
        public RectangleF Bounds;
        public float TopHeight;
        public float BottomHeight
        {
            get { return Bounds.Height - TopHeight; }
        }

        public Block()
        {
        }
        public Block(RectangleF bounds, float top_height)
        {
            Bounds = bounds;
            TopHeight = top_height;
        }

        // Draw the block.
        public virtual void Draw(Graphics gr, Brush fg_brush, Brush bg_brush, Pen pen)
        {
            if (Bounds.X < 0) return;

            gr.FillRectangle(bg_brush, Bounds);
            gr.DrawRectangle(pen, Bounds);
        }

        // Return true if the block intersects the rectangle.
        public bool IntersectsWith(RectangleF rect)
        {
            return Bounds.IntersectsWith(rect);
        }

        // Return true if the block intersects the other block.
        public bool IntersectsWith(Block other)
        {
            return Bounds.IntersectsWith(other.Bounds);
        }
    }
}