﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

using System.Drawing;

namespace howto_drop_caps
{
    public class PictureBlock : Block
    {
        public Image Picture;

        public PictureBlock(Image picture, float x, float y)
        {
            Picture = picture;
            Bounds = new RectangleF(x, y,
                picture.Width, picture.Height);
        }

        // Draw the block.
        public override void Draw(Graphics gr, Brush fg_brush, Brush bg_brush, Pen pen)
        {
            if (Bounds.X < 0) return;

            // Draw the box (optional). 
            base.Draw(gr, fg_brush, bg_brush, pen);

            // Draw the image.
            gr.DrawImage(Picture, Bounds.Location);
        }
    }
}
