﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

using System.Drawing;

namespace howto_drop_caps
{
    public class TextBlock : Block
    {
        public Font Font;
        public String Text;

        public TextBlock(string text, Font font, Graphics gr)
        {
            Font = font;
            Text = text;

            SizeF size = gr.MeasureString(Text, font);
            Bounds = new RectangleF(new PointF(), size);

            FontInfo font_info = new FontInfo(gr, font);
            TopHeight = font_info.AscentPixels;
        }

        // Draw the text block.
        public override void Draw(Graphics gr, Brush fg_brush, Brush bg_brush, Pen pen)
        {
            if (Bounds.X < 0) return;

            // Draw the box (optional).
            base.Draw(gr, fg_brush, bg_brush, pen);

            // Draw the text.
            using (StringFormat sf = new StringFormat())
            {
                sf.Alignment = StringAlignment.Center;
                sf.LineAlignment = StringAlignment.Center;
                gr.DrawString(Text, Font, fg_brush, Bounds, sf);
            }
        }

        public override string ToString()
        {
            return Text;
        }
    }
}
